#
# spec file for package golang-github.com-abh-geoip
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           golang-github.com-abh-geoip
Version:        0.0.0+git1445555561.e5f8ea0
Release:        1.11
%define mod_name github.com-abh-geoip
License:        MIT
Summary:        GeoIP API for Golang
Url:            https://github.com/abh/geoip
Group:          Development/Libraries/Go
Source:         github.com-abh-geoip-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  GeoIP-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}
%description
This package wraps the libgeoip C library for access from Go (golang)

%gosrc_package

%prep
%setup -q -n %{mod_name}-%{version}

%build
%goprep github.com/abh/geoip
%gobuild ...

%install
%goinstall
%gosrc

mv %{buildroot}%{_bindir}/{ex,%{name}-demo}

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{_bindir}/%{name}-demo
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Thu Oct 22 2015 mrueckert@suse.de
- initial package
